Bug 1572629 - [abrt] intel_display_power_put: WARNING: CPU: 2 PID: 6391 at drivers/gpu/drm/i915/intel_runtime_pm.c:614 skl_enable_dc6+0xaa/0xb0 [i915] [i915]
Summary: [abrt] intel_display_power_put: WARNING: CPU: 2 PID: 6391 at drivers/gpu/drm/...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:19ddff5244bb2a279e8d6acb0eb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 13:01 UTC by thilp
Modified: 2018-11-30 21:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:15:24 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (132.98 KB, text/plain)
2018-04-27 13:01 UTC, thilp
no flags Details

Description thilp 2018-04-27 13:01:26 UTC
Description of problem:
Closing the laptop lid while the laptop is running (screen locked with the default Gnome 3 screen locker).

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 2 PID: 6391 at drivers/gpu/drm/i915/intel_runtime_pm.c:614 skl_enable_dc6+0xaa/0xb0 [i915]
Modules linked in: xt_nat veth ccm thunderbolt nvmem_core rfcomm fuse ipt_MASQUERADE nf_nat_masquerade_ipv4 nf_conntrack_netlink xt_addrtype br_netfilter overlay nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security cmac ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core iTCO_wdt snd_soc_sst_dsp iTCO_vendor_support mei_wdt intel_rapl snd_soc_sst_ipc snd_soc_acpi x86_pkg_temp_thermal
 intel_powerclamp wmi_bmof coretemp intel_wmi_thunderbolt kvm_intel snd_soc_core kvm snd_hda_codec_hdmi iwlmvm snd_compress snd_pcm_dmaengine snd_hda_codec_realtek snd_hda_codec_generic ac97_bus snd_usb_audio irqbypass mac80211 intel_cstate intel_uncore snd_hda_intel intel_rapl_perf snd_hda_codec snd_hda_core snd_usbmidi_lib snd_hwdep snd_rawmidi snd_seq snd_seq_device snd_pcm iwlwifi joydev i2c_i801 tpm_crb btusb snd_timer cdc_ether btrtl btbcm usbnet btintel cfg80211 r8152 uvcvideo bluetooth mii videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev media ecdh_generic mei_me thinkpad_acpi mei intel_pch_thermal shpchp ucsi_acpi typec_ucsi tpm_tis typec wmi snd tpm_tis_core soundcore rfkill tpm acpi_pad dm_crypt uas usb_storage i915 i2c_algo_bit crct10dif_pclmul crc32_pclmul
 crc32c_intel drm_kms_helper ghash_clmulni_intel drm e1000e nvme serio_raw ptp nvme_core pps_core video
CPU: 2 PID: 6391 Comm: kworker/2:4 Not tainted 4.15.17-300.fc27.x86_64 #1
Hardware name: LENOVO 20HGS30X06/20HGS30X06, BIOS N1WET38W (1.17 ) 09/01/2017
Workqueue: events drm_mode_rmfb_work_fn [drm]
RIP: 0010:skl_enable_dc6+0xaa/0xb0 [i915]
RSP: 0018:ffffc2058c07fce0 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff9ff5fc438000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff9ff61e5168f0
RBP: ffff9ff5fc438000 R08: 000000000000074c R09: 0000000000000004
R10: ffffc2058c07fc50 R11: 0000000000000001 R12: ffff9ff5fc43cc38
R13: ffffffffc03d9390 R14: 0000000200000000 R15: ffff9ff5fc438000
FS:  0000000000000000(0000) GS:ffff9ff61e500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f8a8c025450 CR3: 000000028920a001 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 intel_display_power_put+0xab/0x110 [i915]
 intel_atomic_commit_tail+0x668/0xd00 [i915]
 intel_atomic_commit+0x268/0x2a0 [i915]
 drm_framebuffer_remove+0x2a2/0x3b0 [drm]
 drm_mode_rmfb_work_fn+0x4f/0x60 [drm]
 process_one_work+0x175/0x390
 worker_thread+0x2e/0x380
 ? process_one_work+0x390/0x390
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit+0x13/0x20
 ret_from_fork+0x35/0x40
Code: 05 09 eb 17 00 01 e8 86 17 dc e9 0f 0b eb 95 80 3d f8 ea 17 00 00 75 a9 48 c7 c7 98 90 3d c0 c6 05 e8 ea 17 00 01 e8 66 17 dc e9 <0f> 0b eb 92 66 90 0f 1f 44 00 00 48 83 bf 80 0a 00 00 00 74 0e

Comment 1 thilp 2018-04-27 13:01:36 UTC
Created attachment 1427650 [details]
File: dmesg

Comment 2 Ben Cotton 2018-11-27 16:00:30 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 21:15:24 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.